Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseReport

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseReport

All Implemented Interfaces:
  java.io.Serializable, JRChangeEventsSupport, JRDefaultFontProvider, JRDefaultStyleProvider, JRPropertiesHolder, JRReport

Direct Known Subclasses:
  JasperDesign, JasperReport

    public class JRBaseReport

extends java.lang.Object
implements JRReport, java.io.Serializable, JRChangeEventsSupport

Version:
  $Id: JRBaseReport.java 3953 2010-09-20 13:54:34Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRBand` | `background`
`protected int` | `bottomMargin`
`protected int` | `columnCount`
`protected RunDirectionEnum` | `columnDirection`
`protected JRBand` | `columnFooter`
`protected JRBand` | `columnHeader`
`protected int` | `columnSpacing`
`protected int` | `columnWidth`
`protected JRDataset[]` | `datasets` Sub datasets of the report.
`protected JRReportFont` | `defaultFont`
`protected JRStyle` | `defaultStyle`
`protected JRSection` | `detailSection`
`protected JRReportFont[]` | `fonts`
`protected java.lang.String` | `formatFactoryClass`
`protected boolean` | `ignorePagination`
`protected java.util.Set` | `importsSet`
`protected boolean` | `isFloatColumnFooter`
`protected boolean` | `isSummaryNewPage`
`protected boolean` | `isSummaryWithPageHeaderAndFooter`
`protected boolean` | `isTitleNewPage`
`protected java.lang.String` | `language`
`protected JRBand` | `lastPageFooter`
`protected int` | `leftMargin`
`protected JRDataset` | `mainDataset` The main dataset of the report.
`protected java.lang.String` | `name`
`protected JRBand` | `noData`
`protected OrientationEnum` | `orientationValue`
`protected JRBand` | `pageFooter`
`protected JRBand` | `pageHeader`
`protected int` | `pageHeight`
`protected int` | `pageWidth`
`protected PrintOrderEnum` | `printOrderValue`
`static java.lang.String` | `PROPERTY_WHEN_NO_DATA_TYPE`
`protected int` | `rightMargin`
`protected JRStyle[]` | `styles`
`protected JRBand` | `summary`
`protected JRReportTemplate[]` | `templates` Report templates.
`protected JRBand` | `title`
`protected int` | `topMargin`
`protected WhenNoDataTypeEnum` | `whenNoDataTypeValue`

Fields inherited from interface net.sf.jasperreports.engine.JRReport
`LANGUAGE_GROOVY, LANGUAGE_JAVA, ORIENTATION_LANDSCAPE, ORIENTATION_PORTRAIT, PRINT_ORDER_HORIZONTAL, PRINT_ORDER_VERTICAL, WHEN_NO_DATA_TYPE_ALL_SECTIONS_NO_DETAIL, WHEN_NO_DATA_TYPE_BLANK_PAGE, WHEN_NO_DATA_TYPE_NO_DATA_SECTION, WHEN_NO_DATA_TYPE_NO_PAGES, WHEN_RESOURCE_MISSING_TYPE_EMPTY, WHEN_RESOURCE_MISSING_TYPE_ERROR, WHEN_RESOURCE_MISSING_TYPE_KEY, WHEN_RESOURCE_MISSING_TYPE_NULL`

Constructor Summary
`JRBaseReport()`
`JRBaseReport(JRReport report)`
`JRBaseReport(JRReport report, JRBaseObjectFactory factory)` Constructs a copy of a report.
`JRBaseReport(JRReport report, JRExpressionCollector expressionCollector)`

Method Summary
`protected void` | `copyTemplates(JRReport report, JRBaseObjectFactory factory)`
`JRBand` | `getBackground()`
`int` | `getBottomMargin()`
`int` | `getColumnCount()` Gets the number of columns on each page
`RunDirectionEnum` | `getColumnDirection()` Specifies whether columns will be filled from left to right or from right to left.
`JRBand` | `getColumnFooter()`
`JRBand` | `getColumnHeader()`
`int` | `getColumnSpacing()` Specifies the space between columns on the same page.
`int` | `getColumnWidth()`
`JRDataset[]` | `getDatasets()` Returns the datasets of this report.
`JRReportFont` | `getDefaultFont()` Deprecated.
`JRStyle` | `getDefaultStyle()` Returns a default style.
`JRBand` | `getDetail()` Deprecated. Replaced by `getDetailSection()`.
`JRSection` | `getDetailSection()`
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`JRField[]` | `getFields()` Gets an array of report fields.
`JRReportFont[]` | `getFonts()` Deprecated.
`java.lang.String` | `getFormatFactoryClass()` Gets the name of the class implementing the `FormatFactory` interface to use with this report.
`JRGroup[]` | `getGroups()`
`java.lang.String[]` | `getImports()` Gets an array of imports (needed if report expression require additional classes in order to compile).
`java.lang.String` | `getLanguage()` Gets the report language.
`JRBand` | `getLastPageFooter()`
`int` | `getLeftMargin()`
`JRDataset` | `getMainDataset()` Returns the main report dataset.
`java.lang.String` | `getName()` Gets the report name.
`JRBand` | `getNoData()`
`byte` | `getOrientation()` Deprecated. Replaced by `getOrientationValue()`.
`OrientationEnum` | `getOrientationValue()` Specifies whether document pages will be rendered in a portrait or landscape layout.
`JRBand` | `getPageFooter()`
`JRBand` | `getPageHeader()`
`int` | `getPageHeight()`
`int` | `getPageWidth()`
`JRParameter[]` | `getParameters()` Gets an array of report parameters (including built-in ones).
`JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
`byte` | `getPrintOrder()` Deprecated. Replaced by `getPrintOrderValue()`.
`PrintOrderEnum` | `getPrintOrderValue()` Specifies whether columns will be filled horizontally or vertically.
`JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
`java.lang.String` | `getProperty(java.lang.String propName)` Gets a property value
`java.lang.String[]` | `getPropertyNames()` Gets an array of report properties names.
`JRQuery` | `getQuery()`
`java.lang.String` | `getResourceBundle()` Gets the base name of the report associated resource bundle.
`int` | `getRightMargin()`
`java.lang.String` | `getScriptletClass()`
`JRScriptlet[]` | `getScriptlets()` Gets an array of report scriptlets (excluding the scriptletClass one).
`JRSortField[]` | `getSortFields()` Gets an array of sort report fields.
`JRStyle[]` | `getStyles()` Gets an array of report styles.
`JRBand` | `getSummary()`
`JRReportTemplate[]` | `getTemplates()` Returns the list of report templates.
`JRBand` | `getTitle()`
`int` | `getTopMargin()`
`JRVariable[]` | `getVariables()` Gets an array of report variables.
`byte` | `getWhenNoDataType()` Deprecated. Replaced by `getWhenNoDataTypeValue()`.
`WhenNoDataTypeEnum` | `getWhenNoDataTypeValue()` Specifies the report behavior in case of empty datasources.
`byte` | `getWhenResourceMissingType()` Deprecated. Replaced by `getWhenResourceMissingTypeValue()`.
`WhenResourceMissingTypeEnum` | `getWhenResourceMissingTypeValue()` Returns the resource missing handling type.
`boolean` | `hasProperties()` Checks whether the object has any properties.
`boolean` | `isFloatColumnFooter()` Specifies if the column footer section will be printed at the bottom of the column or if it will immediately follow the last detail or group footer printed on the current column.
`boolean` | `isIgnorePagination()` Decides whether to use pagination when filling the report.
`boolean` | `isSummaryNewPage()` Specifies if the summary section will be printed on a separate last page.
`boolean` | `isSummaryWithPageHeaderAndFooter()` Specifies if the summary section will be accompanied by the page header and footer.
`boolean` | `isTitleNewPage()` Specifies if the title section will be printed on a separate initial page.
`void` | `removeProperty(java.lang.String propName)`
`void` | `setProperty(java.lang.String propName, java.lang.String value)`
`void` | `setWhenNoDataType(byte whenNoDataType)` Deprecated. Replaced by `setWhenNoDataType(WhenNoDataTypeEnum)`.
`void` | `setWhenNoDataType(WhenNoDataTypeEnum whenNoDataTypeValue)` Sets the report behavior in case of empty datasources.
`void` | `setWhenResourceMissingType(byte whenResourceMissingType)` Deprecated. Replaced by `setWhenResourceMissingType(WhenResourceMissingTypeEnum)`.
`void` | `setWhenResourceMissingType(WhenResourceMissingTypeEnum whenResourceMissingType)` Sets the resource missing handling type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_WHEN_NO_DATA_TYPE

    public static final java.lang.String PROPERTY_WHEN_NO_DATA_TYPE

See Also:
  Constant Field Values

### name

    protected java.lang.String name

### language

    protected java.lang.String language

### columnCount

    protected int columnCount

### printOrderValue

    protected PrintOrderEnum printOrderValue

### columnDirection

    protected RunDirectionEnum columnDirection

### pageWidth

    protected int pageWidth

### pageHeight

    protected int pageHeight

### orientationValue

    protected OrientationEnum orientationValue

### whenNoDataTypeValue

    protected WhenNoDataTypeEnum whenNoDataTypeValue

### columnWidth

    protected int columnWidth

### columnSpacing

    protected int columnSpacing

### leftMargin

    protected int leftMargin

### rightMargin

    protected int rightMargin

### topMargin

    protected int topMargin

### bottomMargin

    protected int bottomMargin

### isTitleNewPage

    protected boolean isTitleNewPage

### isSummaryNewPage

    protected boolean isSummaryNewPage

### isSummaryWithPageHeaderAndFooter

    protected boolean isSummaryWithPageHeaderAndFooter

### isFloatColumnFooter

    protected boolean isFloatColumnFooter

### ignorePagination

    protected boolean ignorePagination

### formatFactoryClass

    protected java.lang.String formatFactoryClass

### importsSet

    protected java.util.Set importsSet

### templates

    protected JRReportTemplate[] templates

  Report templates.

### defaultFont

    protected JRReportFont defaultFont

### fonts

    protected JRReportFont[] fonts

### defaultStyle

    protected JRStyle defaultStyle

### styles

    protected JRStyle[] styles

### mainDataset

    protected JRDataset mainDataset

  The main dataset of the report.

### datasets

    protected JRDataset[] datasets

  Sub datasets of the report.

### background

    protected JRBand background

### title

    protected JRBand title

### pageHeader

    protected JRBand pageHeader

### columnHeader

    protected JRBand columnHeader

### detailSection

    protected JRSection detailSection

### columnFooter

    protected JRBand columnFooter

### pageFooter

    protected JRBand pageFooter

### lastPageFooter

    protected JRBand lastPageFooter

### summary

    protected JRBand summary

### noData

    protected JRBand noData

Constructor Detail

### JRBaseReport

    public JRBaseReport()

### JRBaseReport

    public JRBaseReport(JRReport report,
                        JRExpressionCollector expressionCollector)

### JRBaseReport

    public JRBaseReport(JRReport report,
                        JRBaseObjectFactory factory)

  Constructs a copy of a report.

### JRBaseReport

    public JRBaseReport(JRReport report)

Method Detail

### copyTemplates

    protected void copyTemplates(JRReport report,
                                 JRBaseObjectFactory factory)

### getName

    public java.lang.String getName()

  Description copied from interface: `JRReport`
  Gets the report name.

  Specified by:
    `getName` in interface `JRReport`

### getLanguage

    public java.lang.String getLanguage()

  Description copied from interface: `JRReport`
  Gets the report language. Should be Java or Groovy.

  Specified by:
    `getLanguage` in interface `JRReport`

### getColumnCount

    public int getColumnCount()

  Description copied from interface: `JRReport`
  Gets the number of columns on each page

  Specified by:
    `getColumnCount` in interface `JRReport`

### getPrintOrder

    public byte getPrintOrder()

  Deprecated. Replaced by `getPrintOrderValue()`.

  Specified by:
    `getPrintOrder` in interface `JRReport`

### getPrintOrderValue

    public PrintOrderEnum getPrintOrderValue()

  Description copied from interface: `JRReport`
  Specifies whether columns will be filled horizontally or vertically.

  Specified by:
    `getPrintOrderValue` in interface `JRReport`
  Returns:
    a value representing one of the print order constants in `PrintOrderEnum`

### getColumnDirection

    public RunDirectionEnum getColumnDirection()

  Description copied from interface: `JRReport`
  Specifies whether columns will be filled from left to right or from right to left.

  Specified by:
    `getColumnDirection` in interface `JRReport`
  Returns:
    a value representing one of the column direction constants in `RunDirectionEnum`

### getPageWidth

    public int getPageWidth()

  Specified by:
    `getPageWidth` in interface `JRReport`

### getPageHeight

    public int getPageHeight()

  Specified by:
    `getPageHeight` in interface `JRReport`

### getOrientation

    public byte getOrientation()

  Deprecated. Replaced by `getOrientationValue()`.

  Specified by:
    `getOrientation` in interface `JRReport`

### getOrientationValue

    public OrientationEnum getOrientationValue()

  Description copied from interface: `JRReport`
  Specifies whether document pages will be rendered in a portrait or landscape layout.

  Specified by:
    `getOrientationValue` in interface `JRReport`
  Returns:
    a value representing one of the orientation constants in `OrientationEnum`

### getWhenNoDataType

    public byte getWhenNoDataType()

  Deprecated. Replaced by `getWhenNoDataTypeValue()`.

  Specified by:
    `getWhenNoDataType` in interface `JRReport`

### getWhenNoDataTypeValue

    public WhenNoDataTypeEnum getWhenNoDataTypeValue()

  Description copied from interface: `JRReport`
  Specifies the report behavior in case of empty datasources.

  Specified by:
    `getWhenNoDataTypeValue` in interface `JRReport`

### setWhenNoDataType

    public void setWhenNoDataType(byte whenNoDataType)

  Deprecated. Replaced by `setWhenNoDataType(WhenNoDataTypeEnum)`.

  Specified by:
    `setWhenNoDataType` in interface `JRReport`

### setWhenNoDataType

    public void setWhenNoDataType(WhenNoDataTypeEnum whenNoDataTypeValue)

  Description copied from interface: `JRReport`
  Sets the report behavior in case of empty datasources.

  Specified by:
    `setWhenNoDataType` in interface `JRReport`

### getColumnWidth

    public int getColumnWidth()

  Specified by:
    `getColumnWidth` in interface `JRReport`

### getColumnSpacing

    public int getColumnSpacing()

  Description copied from interface: `JRReport`
  Specifies the space between columns on the same page.

  Specified by:
    `getColumnSpacing` in interface `JRReport`

### getLeftMargin

    public int getLeftMargin()

  Specified by:
    `getLeftMargin` in interface `JRReport`

### getRightMargin

    public int getRightMargin()

  Specified by:
    `getRightMargin` in interface `JRReport`

### getTopMargin

    public int getTopMargin()

  Specified by:
    `getTopMargin` in interface `JRReport`

### getBottomMargin

    public int getBottomMargin()

  Specified by:
    `getBottomMargin` in interface `JRReport`

### isTitleNewPage

    public boolean isTitleNewPage()

  Description copied from interface: `JRReport`
  Specifies if the title section will be printed on a separate initial page.

  Specified by:
    `isTitleNewPage` in interface `JRReport`

### isSummaryNewPage

    public boolean isSummaryNewPage()

  Description copied from interface: `JRReport`
  Specifies if the summary section will be printed on a separate last page.

  Specified by:
    `isSummaryNewPage` in interface `JRReport`

### isSummaryWithPageHeaderAndFooter

    public boolean isSummaryWithPageHeaderAndFooter()

  Description copied from interface: `JRReport`
  Specifies if the summary section will be accompanied by the page header and footer.

  Specified by:
    `isSummaryWithPageHeaderAndFooter` in interface `JRReport`

### isFloatColumnFooter

    public boolean isFloatColumnFooter()

  Description copied from interface: `JRReport`
  Specifies if the column footer section will be printed at the bottom of the column or if it will immediately follow the last detail or group footer printed on the current column.

  Specified by:
    `isFloatColumnFooter` in interface `JRReport`

### getScriptletClass

    public java.lang.String getScriptletClass()

  Specified by:
    `getScriptletClass` in interface `JRReport`

### getFormatFactoryClass

    public java.lang.String getFormatFactoryClass()

  Description copied from interface: `JRReport`
  Gets the name of the class implementing the `FormatFactory` interface to use with this report.

  Specified by:
    `getFormatFactoryClass` in interface `JRReport`

### getResourceBundle

    public java.lang.String getResourceBundle()

  Description copied from interface: `JRReport`
  Gets the base name of the report associated resource bundle.

  Specified by:
    `getResourceBundle` in interface `JRReport`

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Description copied from interface: `JRReport`
  Gets an array of report properties names.

  Specified by:
    `getPropertyNames` in interface `JRReport`

### getProperty

    public java.lang.String getProperty(java.lang.String propName)

  Description copied from interface: `JRReport`
  Gets a property value

  Specified by:
    `getProperty` in interface `JRReport`
  Parameters:
    `propName` - the property name

### setProperty

    public void setProperty(java.lang.String propName,
                            java.lang.String value)

  Specified by:
    `setProperty` in interface `JRReport`

### removeProperty

    public void removeProperty(java.lang.String propName)

  Specified by:
    `removeProperty` in interface `JRReport`

### getImports

    public java.lang.String[] getImports()

  Description copied from interface: `JRReport`
  Gets an array of imports (needed if report expression require additional classes in order to compile).

  Specified by:
    `getImports` in interface `JRReport`

### getDefaultFont

    public JRReportFont getDefaultFont()

  Deprecated.

  Description copied from interface: `JRDefaultFontProvider`
  Returns a default font.

  Specified by:
    `getDefaultFont` in interface `JRDefaultFontProvider`

### getFonts

    public JRReportFont[] getFonts()

  Deprecated.

  Description copied from interface: `JRReport`
  Gets an array of report fonts.

  Specified by:
    `getFonts` in interface `JRReport`

### getDefaultStyle

    public JRStyle getDefaultStyle()

  Description copied from interface: `JRDefaultStyleProvider`
  Returns a default style.

  Specified by:
    `getDefaultStyle` in interface `JRDefaultStyleProvider`

### getStyles

    public JRStyle[] getStyles()

  Description copied from interface: `JRReport`
  Gets an array of report styles.

  Specified by:
    `getStyles` in interface `JRReport`

### getScriptlets

    public JRScriptlet[] getScriptlets()

  Gets an array of report scriptlets (excluding the scriptletClass one).

  Specified by:
    `getScriptlets` in interface `JRReport`

### getParameters

    public JRParameter[] getParameters()

  Gets an array of report parameters (including built-in ones).

  Specified by:
    `getParameters` in interface `JRReport`

### getQuery

    public JRQuery getQuery()

  Specified by:
    `getQuery` in interface `JRReport`

### getFields

    public JRField[] getFields()

  Gets an array of report fields.

  Specified by:
    `getFields` in interface `JRReport`

### getSortFields

    public JRSortField[] getSortFields()

  Gets an array of sort report fields.

  Specified by:
    `getSortFields` in interface `JRReport`

### getVariables

    public JRVariable[] getVariables()

  Gets an array of report variables.

  Specified by:
    `getVariables` in interface `JRReport`

### getGroups

    public JRGroup[] getGroups()

  Specified by:
    `getGroups` in interface `JRReport`

### getBackground

    public JRBand getBackground()

  Specified by:
    `getBackground` in interface `JRReport`

### getTitle

    public JRBand getTitle()

  Specified by:
    `getTitle` in interface `JRReport`

### getPageHeader

    public JRBand getPageHeader()

  Specified by:
    `getPageHeader` in interface `JRReport`

### getColumnHeader

    public JRBand getColumnHeader()

  Specified by:
    `getColumnHeader` in interface `JRReport`

### getDetail

    public JRBand getDetail()

  Deprecated. Replaced by `getDetailSection()`.

  Specified by:
    `getDetail` in interface `JRReport`

### getDetailSection

    public JRSection getDetailSection()

  Specified by:
    `getDetailSection` in interface `JRReport`

### getColumnFooter

    public JRBand getColumnFooter()

  Specified by:
    `getColumnFooter` in interface `JRReport`

### getPageFooter

    public JRBand getPageFooter()

  Specified by:
    `getPageFooter` in interface `JRReport`

### getLastPageFooter

    public JRBand getLastPageFooter()

  Specified by:
    `getLastPageFooter` in interface `JRReport`

### getSummary

    public JRBand getSummary()

  Specified by:
    `getSummary` in interface `JRReport`

### getWhenResourceMissingType

    public byte getWhenResourceMissingType()

  Deprecated. Replaced by `getWhenResourceMissingTypeValue()`.

  Specified by:
    `getWhenResourceMissingType` in interface `JRReport`

### getWhenResourceMissingTypeValue

    public WhenResourceMissingTypeEnum getWhenResourceMissingTypeValue()

  Description copied from interface: `JRReport`
  Returns the resource missing handling type.

  Specified by:
    `getWhenResourceMissingTypeValue` in interface `JRReport`

### setWhenResourceMissingType

    public void setWhenResourceMissingType(byte whenResourceMissingType)

  Deprecated. Replaced by `setWhenResourceMissingType(WhenResourceMissingTypeEnum)`.

  Specified by:
    `setWhenResourceMissingType` in interface `JRReport`

### setWhenResourceMissingType

    public void setWhenResourceMissingType(WhenResourceMissingTypeEnum whenResourceMissingType)

  Description copied from interface: `JRReport`
  Sets the resource missing handling type.

  Specified by:
    `setWhenResourceMissingType` in interface `JRReport`
  Parameters:
    `whenResourceMissingType` - the resource missing handling type

### getMainDataset

    public JRDataset getMainDataset()

  Description copied from interface: `JRReport`
  Returns the main report dataset.

  The main report dataset consists of all parameters, fields, variables and groups of the report.

  Specified by:
    `getMainDataset` in interface `JRReport`
  Returns:
    the main report dataset

### getDatasets

    public JRDataset[] getDatasets()

  Description copied from interface: `JRReport`
  Returns the datasets of this report.

  Specified by:
    `getDatasets` in interface `JRReport`
  Returns:
    the datasets of this report

### isIgnorePagination

    public boolean isIgnorePagination()

  Description copied from interface: `JRReport`
  Decides whether to use pagination when filling the report.

  If set to `true` the report will be generated on one long page.

  The design attribute can be overridden at fill time by the `IS_IGNORE_PAGINATION` parameter.

  Specified by:
    `isIgnorePagination` in interface `JRReport`
  Returns:
    whether to use pagination when filling the report

### hasProperties

    public boolean hasProperties()

  Description copied from interface: `JRPropertiesHolder`
  Checks whether the object has any properties.

  Specified by:
    `hasProperties` in interface `JRPropertiesHolder`
  Returns:
    whether the object has any properties

### getPropertiesMap

    public JRPropertiesMap getPropertiesMap()

  Description copied from interface: `JRPropertiesHolder`
  Returns this object's properties map.

  Specified by:
    `getPropertiesMap` in interface `JRPropertiesHolder`
  Returns:
    this object's properties map

### getParentProperties

    public JRPropertiesHolder getParentProperties()

  Description copied from interface: `JRPropertiesHolder`
  Returns the parent properties holder, whose properties are used as defaults for this object.

  Specified by:
    `getParentProperties` in interface `JRPropertiesHolder`
  Returns:
    the parent properties holder, or `null` if no parent

### getTemplates

    public JRReportTemplate[] getTemplates()

  Description copied from interface: `JRReport`
  Returns the list of report templates.

  A report template is an expression which resolves at runtime to a `template`. Templates include styles which can be used in the report.

  The order in which the templates are included in the report is important:
  - A style's parent must appear before the style itself.
  - A style overrides styles with the same name that are placed before it. Also, report styles override templates styles with the same name.

  Specified by:
    `getTemplates` in interface `JRReport`
  Returns:
    the list of report templates, or `null` if none
  See Also:
    `JRTemplate`, `JRParameter.REPORT_TEMPLATES`

### getNoData

    public JRBand getNoData()

  Specified by:
    `getNoData` in interface `JRReport`
  Returns:
    the noData

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com